This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 705891 - [abrt] libmtp-examples-1.0.6-2.fc15: op_reset_device: Process /usr/bin/mtp-detect was killed by signal 11 (SIGSEGV)
[abrt] libmtp-examples-1.0.6-2.fc15: op_reset_device: Process /usr/bin/mtp-de...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libmtp (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Linus Walleij
Fedora Extras Quality Assurance
abrt_hash:c89de05100c4b7ac1f9d4e9704f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-18 15:38 EDT by Christopher Granade
Modified: 2011-07-02 15:28 EDT (History)
1 user (show)

See Also:
Fixed In Version: libmtp-1.0.6-3.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-02 15:28:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christopher Granade 2011-05-18 15:38:35 EDT
abrt version: 2.0.1
architecture:   x86_64
cmdline:        mtp-detect
comment:        Occured with Motorola Xoom (Canadian region, WiFi-only, VID=18d1, PID=70a8) connected. See also https://bugzilla.gnome.org/show_bug.cgi?id=647506.
component:      libmtp
crash_function: op_reset_device
executable:     /usr/bin/mtp-detect
kernel:         2.6.38.2-9.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        libmtp-examples-1.0.6-2.fc15
rating:         4
reason:         Process /usr/bin/mtp-detect was killed by signal 11 (SIGSEGV)
time:           Wed May 18 15:32:34 2011
uid:            500
username:       cgranade

backtrace:
:[New LWP 21162]
:[Thread debugging using libthread_db enabled]
:Core was generated by `mtp-detect'.
:Program terminated with signal 11, Segmentation fault.
:#0  op_reset_device (handle=0x0) at os/linux_usbfs.c:1212
:1212	os/linux_usbfs.c: No such file or directory.
:	in os/linux_usbfs.c
:
:Thread 1 (Thread 0x7f19ef125720 (LWP 21162)):
:#0  op_reset_device (handle=0x0) at os/linux_usbfs.c:1212
:        fd = <error reading variable fd (Cannot access memory at address 0x48)>
:        r = <optimized out>
:        __FUNCTION__ = "op_reset_device"
:#1  0x0000003b99a02bd2 in usb_reset (dev=0x1c2d270) at core.c:746
:No locals.
:#2  0x0000003b8ce216ff in configure_usb_device (device=<optimized out>, params=0x1c2d6a0, usbinfo=0x1c2d070) at libusb-glue.c:1924
:        ptp_usb = 0x1c2d620
:        libusb_device = 0x1c2e080
:        ret = <optimized out>
:        bus = <optimized out>
:        found = 1
:        __FUNCTION__ = "configure_usb_device"
:#3  0x0000003b8ce16a2a in LIBMTP_Open_Raw_Device (rawdevice=0x1c2d570) at libmtp.c:1827
:        mtp_device = 0x1c2d060
:        bs = 0 '\000'
:        current_params = 0x1c2d6a0
:        ptp_usb = <optimized out>
:        err = <optimized out>
:        i = <optimized out>
:        __FUNCTION__ = "LIBMTP_Open_Raw_Device"
:#4  0x00000000004011d7 in main (argc=<optimized out>, argv=<optimized out>) at detect.c:144
:        files = <optimized out>
:        friendlyname = <optimized out>
:        maxbattlevel = 0 '\000'
:        sectime = 0x400d9b "H\203\304\b\303\377\065B\024 "
:        filetypes_len = 0
:        ret = <optimized out>
:        device = <optimized out>
:        syncpartner = <optimized out>
:        filetypes = 0x7fffa1ead276
:        currbattlevel = 0 '\000'
:        rawdevices = 0x1c2d570
:        numrawdevices = 1
:        err = <optimized out>
:        i = <optimized out>
:        opt = <optimized out>
:From                To                  Syms Read   Shared Object Library
:0x0000003b8ce0ea60  0x0000003b8ce2ff2c  Yes         /usr/lib64/libmtp.so.8
:0x0000003b99a01600  0x0000003b99a031bc  Yes         /lib64/libusb-0.1.so.4
:0x00007f19eeba2c80  0x00007f19eecc7bac  Yes         /lib64/libc.so.6
:0x0000003b8e2028a0  0x0000003b8e2120cc  Yes         /lib64/libgcc_s.so.1
:0x0000003b97a02620  0x0000003b97a0999c  Yes         /lib64/libusb-1.0.so.0
:0x00007f19eef22b20  0x00007f19eef3bf6a  Yes         /lib64/ld-linux-x86-64.so.2
:0x00007f19ee97e1b0  0x00007f19ee9815ec  Yes         /lib64/librt.so.1
:0x00007f19ee765690  0x00007f19ee770adc  Yes         /lib64/libpthread.so.0
:$1 = 0x0
:No symbol "__glib_assert_msg" in current context.
:rax            0x0	0
:rbx            0x0	0
:rcx            0x7f19eec57730	139749356828464
:rdx            0x0	0
:rsi            0x5514	21780
:rdi            0x0	0
:rbp            0x1c2d270	0x1c2d270
:rsp            0x7fffa1eaceb0	0x7fffa1eaceb0
:r8             0x7f19eef1d140	139749359735104
:r9             0x7f19ef125720	139749361866528
:r10            0x7fffa1eacc60	140735909907552
:r11            0x3b97a02d80	255946927488
:r12            0x3b8d04aef0	255768964848
:r13            0x0	0
:r14            0x0	0
:r15            0x1c2d638	29546040
:rip            0x3b97a066e2	0x3b97a066e2 <op_reset_device+18>
:eflags         0x10202	[ IF RF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function op_reset_device:
:   0x0000003b97a066d0 <+0>:	push   %rbp
:   0x0000003b97a066d1 <+1>:	xor    %edx,%edx
:   0x0000003b97a066d3 <+3>:	xor    %eax,%eax
:   0x0000003b97a066d5 <+5>:	mov    $0x5514,%esi
:   0x0000003b97a066da <+10>:	push   %rbx
:   0x0000003b97a066db <+11>:	mov    %rdi,%rbx
:   0x0000003b97a066de <+14>:	sub    $0x8,%rsp
:=> 0x0000003b97a066e2 <+18>:	mov    0x48(%rdi),%edi
:   0x0000003b97a066e5 <+21>:	callq  0x3b97a02210 <ioctl@plt>
:   0x0000003b97a066ea <+26>:	mov    %eax,%ebp
:   0x0000003b97a066ec <+28>:	xor    %eax,%eax
:   0x0000003b97a066ee <+30>:	test   %ebp,%ebp
:   0x0000003b97a066f0 <+32>:	je     0x3b97a0672f <op_reset_device+95>
:   0x0000003b97a066f2 <+34>:	callq  0x3b97a024c0 <__errno_location@plt>
:   0x0000003b97a066f7 <+39>:	mov    (%rax),%r9d
:   0x0000003b97a066fa <+42>:	mov    $0xfffffffb,%eax
:   0x0000003b97a066ff <+47>:	cmp    $0x13,%r9d
:   0x0000003b97a06703 <+51>:	je     0x3b97a0672f <op_reset_device+95>
:   0x0000003b97a06705 <+53>:	mov    0x40(%rbx),%rax
:   0x0000003b97a06709 <+57>:	lea    0x3920(%rip),%rcx        # 0x3b97a0a030
:   0x0000003b97a06710 <+64>:	lea    0x4279(%rip),%rdx        # 0x3b97a0a990 <__FUNCTION__.6727>
:   0x0000003b97a06717 <+71>:	mov    %ebp,%r8d
:   0x0000003b97a0671a <+74>:	mov    $0x3,%esi
:   0x0000003b97a0671f <+79>:	mov    0x30(%rax),%rdi
:   0x0000003b97a06723 <+83>:	xor    %eax,%eax
:   0x0000003b97a06725 <+85>:	callq  0x3b97a02f60 <usbi_log>
:   0x0000003b97a0672a <+90>:	mov    $0xffffff9d,%eax
:   0x0000003b97a0672f <+95>:	add    $0x8,%rsp
:   0x0000003b97a06733 <+99>:	pop    %rbx
:   0x0000003b97a06734 <+100>:	pop    %rbp
:   0x0000003b97a06735 <+101>:	retq   
:End of assembler dump.

build_ids:
:43807643a62603ef6affdf7aafeb5b4aa97374e1
:f510a69fd2f699f4ba4c499e4be53041e43fa5fe
:018b47510edca73b3c78188079f67ce3cfe41331
:06ae8fc68d71264493be5f96c2effc931327ce89
:8b211c64a704cba0ae62cf3a2c1a56e14fde205d
:1dabf351c70a5c3b5a580dc262fd10c3a2de3143
:c12d44dac04306ded9824816811694f0e3c64a50
:f806dc564cb422c29cf4ba64084dea260d226e92
:0b60b8878dd4ca36a79caac8e9e60b1055677020

dsos:
:/lib64/libusb-0.1.so.4.4.4 libusb-1:0.1.3-7.fc15.x86_64 (Fedora Project) 1302298343
:/usr/bin/mtp-detect libmtp-examples-1.0.6-2.fc15.x86_64 (Fedora Project) 1305747113
:/usr/lib64/libmtp.so.8.3.6 libmtp-1.0.6-2.fc15.x86_64 (Fedora Project) 1302298405
:/usr/lib64/gconv/gconv-modules.cache glibc-2.13.90-12.x86_64 (Fedora Project) 1305741952
:/lib64/ld-2.13.90.so glibc-2.13.90-12.x86_64 (Fedora Project) 1305741952
:/lib64/libusb-1.0.so.0.0.0 libusb1-1.0.8-7.fc15.x86_64 (Fedora Project) 1302298343
:/lib64/librt-2.13.90.so glibc-2.13.90-12.x86_64 (Fedora Project) 1305741952
:/lib64/libgcc_s-4.6.0-20110509.so.1 libgcc-4.6.0-7.fc15.x86_64 (Fedora Project) 1305234588
:/lib64/libpthread-2.13.90.so glibc-2.13.90-12.x86_64 (Fedora Project) 1305741952
:/lib64/libc-2.13.90.so glibc-2.13.90-12.x86_64 (Fedora Project) 1305741952

environ:
:ORBIT_SOCKETDIR=/tmp/orbit-cgranade
:XDG_SESSION_ID=38
:HOSTNAME=corylab-cgranade-okami.uwaterloo.ca
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-21vPaZ/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=08b40c0cb97673560f78085d0000001d-1305298939.840678-1601579162
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=46137349
:GNOME_KEYRING_CONTROL=/tmp/keyring-21vPaZ
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:'IMSETTINGS_MODULE=X compose table'
:USER=cgranade
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:
:SSH_AUTH_SOCK=/tmp/keyring-21vPaZ/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/4173,unix/unix:/tmp/.ICE-unix/4173
:USERNAME=cgranade
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/cgranade/bin
:MAIL=/var/spool/mail/cgranade
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/cgranade
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=4165
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/cgranade
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=cgranade
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-7YY0mIrHwI,guid=ce1cdea3c3493ed0dae5aa57000d40c0
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=8
:XDG_RUNTIME_DIR=/run/user/cgranade
:DISPLAY=:0
:GTK_IM_MODULE=xim
:G_BROKEN_FILENAMES=1
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-cgranade-JEdj2Y/database
:_=/usr/bin/mtp-detect

event_log:
:2011-05-18-15:35:45> Analyzing coredump 'coredump'
:2011-05-18-15:35:48  Coredump references 9 debuginfo files, 8 of them are not installed
:2011-05-18-15:35:57  Could not parse metalink https://mirrors.fedoraproject.org/metalink?repo=updates-released-debug-f15&arch=x86_64 error was 
:2011-05-18-15:35:57  No repomd file
:2011-05-18-15:35:58  Looking for needed packages in repositories
:2011-05-18-15:36:12  Packages to download: 4
:2011-05-18-15:36:12  Downloading 8.77Mb, installed size: 55.30Mb
:2011-05-18-15:36:13  Downloading (1 of 4) libusb1-debuginfo-1.0.8-7.fc15.x86_64.rpm: 100%
:2011-05-18-15:36:13  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-05-18-15:35:45.21224/libusb1-debuginfo-1.0.8-7.fc15.x86_64.rpm
:2011-05-18-15:36:13  Caching files from unpacked.cpio made from libusb1-debuginfo-1.0.8-7.fc15.x86_64.rpm
:2011-05-18-15:36:13  Downloading (2 of 4) libmtp-debuginfo-1.0.6-2.fc15.x86_64.rpm: 100%
:2011-05-18-15:36:13  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-05-18-15:35:45.21224/libmtp-debuginfo-1.0.6-2.fc15.x86_64.rpm
:2011-05-18-15:36:13  Caching files from unpacked.cpio made from libmtp-debuginfo-1.0.6-2.fc15.x86_64.rpm
:2011-05-18-15:36:15  Downloading (3 of 4) glibc-debuginfo-2.13.90-12.x86_64.rpm: 100%
:2011-05-18-15:36:15  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-05-18-15:35:45.21224/glibc-debuginfo-2.13.90-12.x86_64.rpm
:2011-05-18-15:36:16  Caching files from unpacked.cpio made from glibc-debuginfo-2.13.90-12.x86_64.rpm
:2011-05-18-15:36:17  Downloading (4 of 4) libusb-debuginfo-0.1.3-7.fc15.x86_64.rpm: 100%
:2011-05-18-15:36:17  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-05-18-15:35:45.21224/libusb-debuginfo-0.1.3-7.fc15.x86_64.rpm
:2011-05-18-15:36:17  Caching files from unpacked.cpio made from libusb-debuginfo-0.1.3-7.fc15.x86_64.rpm
:2011-05-18-15:36:17  All downloaded packages have been extracted, removing /tmp/abrt-tmp-debuginfo-2011-05-18-15:35:45.21224
:2011-05-18-15:36:18  Backtrace is generated and saved, 5016 bytes

maps:
:00400000-00402000 r-xp 00000000 fd:01 161748                             /usr/bin/mtp-detect
:00602000-00603000 rw-p 00002000 fd:01 161748                             /usr/bin/mtp-detect
:01c20000-01c60000 rw-p 00000000 00:00 0                                  [heap]
:3b8ce00000-3b8ce42000 r-xp 00000000 fd:01 149137                         /usr/lib64/libmtp.so.8.3.6
:3b8ce42000-3b8d042000 ---p 00042000 fd:01 149137                         /usr/lib64/libmtp.so.8.3.6
:3b8d042000-3b8d04b000 rw-p 00042000 fd:01 149137                         /usr/lib64/libmtp.so.8.3.6
:3b8e200000-3b8e215000 r-xp 00000000 fd:01 135263                         /lib64/libgcc_s-4.6.0-20110509.so.1
:3b8e215000-3b8e414000 ---p 00015000 fd:01 135263                         /lib64/libgcc_s-4.6.0-20110509.so.1
:3b8e414000-3b8e415000 rw-p 00014000 fd:01 135263                         /lib64/libgcc_s-4.6.0-20110509.so.1
:3b97a00000-3b97a0d000 r-xp 00000000 fd:01 135628                         /lib64/libusb-1.0.so.0.0.0
:3b97a0d000-3b97c0c000 ---p 0000d000 fd:01 135628                         /lib64/libusb-1.0.so.0.0.0
:3b97c0c000-3b97c0d000 rw-p 0000c000 fd:01 135628                         /lib64/libusb-1.0.so.0.0.0
:3b99a00000-3b99a04000 r-xp 00000000 fd:01 135629                         /lib64/libusb-0.1.so.4.4.4
:3b99a04000-3b99c03000 ---p 00004000 fd:01 135629                         /lib64/libusb-0.1.so.4.4.4
:3b99c03000-3b99c04000 rw-p 00003000 fd:01 135629                         /lib64/libusb-0.1.so.4.4.4
:7f19ee760000-7f19ee777000 r-xp 00000000 fd:01 136926                     /lib64/libpthread-2.13.90.so
:7f19ee777000-7f19ee976000 ---p 00017000 fd:01 136926                     /lib64/libpthread-2.13.90.so
:7f19ee976000-7f19ee977000 r--p 00016000 fd:01 136926                     /lib64/libpthread-2.13.90.so
:7f19ee977000-7f19ee978000 rw-p 00017000 fd:01 136926                     /lib64/libpthread-2.13.90.so
:7f19ee978000-7f19ee97c000 rw-p 00000000 00:00 0 
:7f19ee97c000-7f19ee983000 r-xp 00000000 fd:01 154173                     /lib64/librt-2.13.90.so
:7f19ee983000-7f19eeb82000 ---p 00007000 fd:01 154173                     /lib64/librt-2.13.90.so
:7f19eeb82000-7f19eeb83000 r--p 00006000 fd:01 154173                     /lib64/librt-2.13.90.so
:7f19eeb83000-7f19eeb84000 rw-p 00007000 fd:01 154173                     /lib64/librt-2.13.90.so
:7f19eeb84000-7f19eed18000 r-xp 00000000 fd:01 136902                     /lib64/libc-2.13.90.so
:7f19eed18000-7f19eef17000 ---p 00194000 fd:01 136902                     /lib64/libc-2.13.90.so
:7f19eef17000-7f19eef1b000 r--p 00193000 fd:01 136902                     /lib64/libc-2.13.90.so
:7f19eef1b000-7f19eef1c000 rw-p 00197000 fd:01 136902                     /lib64/libc-2.13.90.so
:7f19eef1c000-7f19eef22000 rw-p 00000000 00:00 0 
:7f19eef22000-7f19eef43000 r-xp 00000000 fd:01 136322                     /lib64/ld-2.13.90.so
:7f19ef125000-7f19ef12a000 rw-p 00000000 00:00 0 
:7f19ef13a000-7f19ef141000 r--s 00000000 fd:01 155520                     /usr/lib64/gconv/gconv-modules.cache
:7f19ef141000-7f19ef143000 rw-p 00000000 00:00 0 
:7f19ef143000-7f19ef144000 r--p 00021000 fd:01 136322                     /lib64/ld-2.13.90.so
:7f19ef144000-7f19ef145000 rw-p 00022000 fd:01 136322                     /lib64/ld-2.13.90.so
:7f19ef145000-7f19ef146000 rw-p 00000000 00:00 0 
:7fffa1e8e000-7fffa1eaf000 rw-p 00000000 00:00 0                          [stack]
:7fffa1f81000-7fffa1f82000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
Comment 1 Fedora Update System 2011-06-23 13:53:37 EDT
libmtp-1.0.6-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libmtp-1.0.6-3.fc15
Comment 2 Fedora Update System 2011-06-23 23:29:16 EDT
Package libmtp-1.0.6-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libmtp-1.0.6-3.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/libmtp-1.0.6-3.fc15
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2011-07-02 15:28:16 EDT
libmtp-1.0.6-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.